- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VOL_ivector Class Reference

vector of ints. More...

`#include <OsiTestSolver.hpp>`

List of all members.

## Public Member Functions
| VOL_ivector (const int s)
| Construct a vector of size s.
| VOL_ivector ()
| Default constructor creates a vector of size 0.
| VOL_ivector (const VOL_ivector &x)
| Copy constructor makes a replica of x.
| ~VOL_ivector ()
| The destructor deletes the data array.
int | size () const
| Return the size of the vector.
int & | operator[] (const int i)
| Return a reference to the `i`-th entry.
int | operator[] (const int i) const
| Return the `i`-th entry.
void | clear ()
| Delete the content of the vector and replace it with a vector of length 0.
void | allocate (const int s)
| delete the current vector and allocate space for a vector of size `s`.
void | swap (VOL_ivector &w)
| swaps the vector with `w`.
VOL_ivector & | operator= (const VOL_ivector &v)
| Copy `w` into the vector.
VOL_ivector & | operator= (const int w)
| Replace every entry in the vector with `w`.
| VOL_ivector (const int s)
| Construct a vector of size s.
| VOL_ivector ()
| Default constructor creates a vector of size 0.
| VOL_ivector (const VOL_ivector &x)
| Copy constructor makes a replica of x.
| ~VOL_ivector ()
| The destructor deletes the data array.
int | size () const
| Return the size of the vector.
int & | operator[] (const int i)
| Return a reference to the `i`-th entry.
int | operator[] (const int i) const
| Return the `i`-th entry.
void | clear ()
| Delete the content of the vector and replace it with a vector of length 0.
void | allocate (const int s)
| delete the current vector and allocate space for a vector of size `s`.
void | swap (VOL_ivector &w)
| swaps the vector with `w`.
VOL_ivector & | operator= (const VOL_ivector &v)
| Copy `w` into the vector.
VOL_ivector & | operator= (const int w)
| Replace every entry in the vector with `w`.
## Public Attributes
int * | v
| The array holding the vector.
int | sz
| The size of the vector.
int * | v
| The array holding the vector.

## Detailed Description

vector of ints.

It's used to store indices, it has similar functions as VOL_dvector.

Note: If `VOL_DEBUG` is `defined` to be 1 then each time an entry is accessed in the vector the index of the entry is tested for nonnegativity and for being less than the size of the vector. It's good to turn this on while debugging, but in final runs it should be turned off (beause of the performance hit).

Definition at line 240 of file OsiTestSolver.hpp.

## Constructor & Destructor Documentation

VOL_ivector::VOL_ivector | ( | const int | s | ) | `[inline]`

Construct a vector of size s.

The content of the vector is undefined.

Definition at line 248 of file OsiTestSolver.hpp.

References sz, v, and VOL_TEST_SIZE.

VOL_ivector::VOL_ivector | ( |  | ) | `[inline]`

Default constructor creates a vector of size 0.

Definition at line 253 of file OsiTestSolver.hpp.

VOL_ivector::VOL_ivector | ( | const VOL_ivector & | x | ) | `[inline]`

Copy constructor makes a replica of x.

Definition at line 255 of file OsiTestSolver.hpp.

References sz, and v.

VOL_ivector::~VOL_ivector | ( |  | ) | `[inline]`

The destructor deletes the data array.

Definition at line 263 of file OsiTestSolver.hpp.

References v.

VOL_ivector::VOL_ivector | ( | const int | s | ) | `[inline]`

Construct a vector of size s.

The content of the vector is undefined.

Definition at line 245 of file VolVolume.hpp.

References sz, v, and VOL_TEST_SIZE.

VOL_ivector::VOL_ivector | ( |  | ) | `[inline]`

Default constructor creates a vector of size 0.

Definition at line 250 of file VolVolume.hpp.

VOL_ivector::VOL_ivector | ( | const VOL_ivector & | x | ) | `[inline]`

Copy constructor makes a replica of x.

Definition at line 252 of file VolVolume.hpp.

References sz, and v.

VOL_ivector::~VOL_ivector | ( |  | ) | `[inline]`

The destructor deletes the data array.

Definition at line 260 of file VolVolume.hpp.

References v.

## Member Function Documentation

int VOL_ivector::size | ( |  | ) | const`[inline]`

Return the size of the vector.

Definition at line 268 of file OsiTestSolver.hpp.

References sz.

int& VOL_ivector::operator[] | ( | const int | i | ) | `[inline]`

Return a reference to the `i`-th entry.

Definition at line 270 of file OsiTestSolver.hpp.

References sz, v, and VOL_TEST_INDEX.

int VOL_ivector::operator[] | ( | const int | i | ) | const`[inline]`

Return the `i`-th entry.

Definition at line 276 of file OsiTestSolver.hpp.

References sz, v, and VOL_TEST_INDEX.

void VOL_ivector::clear | ( |  | ) | `[inline]`

Delete the content of the vector and replace it with a vector of length 0.

Definition at line 283 of file OsiTestSolver.hpp.

References sz, and v.

void VOL_ivector::allocate | ( | const int | s | ) | `[inline]`

delete the current vector and allocate space for a vector of size `s`.

Definition at line 291 of file OsiTestSolver.hpp.

References sz, v, and VOL_TEST_SIZE.

void VOL_ivector::swap | ( | VOL_ivector & | w | ) | `[inline]`

swaps the vector with `w`.

Definition at line 298 of file OsiTestSolver.hpp.

References sz, and v.

VOL_ivector& VOL_ivector::operator= | ( | const VOL_ivector & | v | ) |

Copy `w` into the vector.

VOL_ivector& VOL_ivector::operator= | ( | const int | w | ) |

Replace every entry in the vector with `w`.

int VOL_ivector::size | ( |  | ) | const`[inline]`

Return the size of the vector.

Definition at line 265 of file VolVolume.hpp.

References sz.

int& VOL_ivector::operator[] | ( | const int | i | ) | `[inline]`

Return a reference to the `i`-th entry.

Definition at line 267 of file VolVolume.hpp.

References sz, v, and VOL_TEST_INDEX.

int VOL_ivector::operator[] | ( | const int | i | ) | const`[inline]`

Return the `i`-th entry.

Definition at line 273 of file VolVolume.hpp.

References sz, v, and VOL_TEST_INDEX.

void VOL_ivector::clear | ( |  | ) | `[inline]`

Delete the content of the vector and replace it with a vector of length 0.

Definition at line 280 of file VolVolume.hpp.

References sz, and v.

void VOL_ivector::allocate | ( | const int | s | ) | `[inline]`

delete the current vector and allocate space for a vector of size `s`.

Definition at line 288 of file VolVolume.hpp.

References sz, v, and VOL_TEST_SIZE.

void VOL_ivector::swap | ( | VOL_ivector & | w | ) | `[inline]`

swaps the vector with `w`.

Definition at line 295 of file VolVolume.hpp.

References sz, and v.

VOL_ivector& VOL_ivector::operator= | ( | const VOL_ivector & | v | ) |

Copy `w` into the vector.

VOL_ivector& VOL_ivector::operator= | ( | const int | w | ) |

Replace every entry in the vector with `w`.

## Member Data Documentation

int* VOL_ivector::v

The array holding the vector.

Definition at line 243 of file OsiTestSolver.hpp.

Referenced by allocate(), clear(), operator[](), swap(), VOL_ivector(), and ~VOL_ivector().

int VOL_ivector::sz

The size of the vector.

Definition at line 245 of file OsiTestSolver.hpp.

Referenced by allocate(), clear(), operator[](), size(), swap(), and VOL_ivector().

int* VOL_ivector::v

The array holding the vector.

Definition at line 240 of file VolVolume.hpp.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/Vol-1.2.0/Osi/test/OsiTestSolver.hpp
- /home/coin/SVN-release/Vol-1.2.0/Vol/src/VolVolume.hpp